package _04_工具类;

/**
 * 工具类: 针对于数组相关工具类
 *
 *  一个工具类: 他这里供功能方法 都是和这个类有关
 *  比如Math 数据工具类: 里面方法都是和数据相关
 *  比如数组工具类: 里面方法都是和数组有关
 *
 */
public class ArrayTool {
    private ArrayTool(){}
    /**
     * 打印数组
     * String str = {1,2,3,4,4,5,6}
      */
    public static void printArr(int[] arr){
        String str = "{";
        for (int i = 0; i < arr.length; i++) {
            if(i ==  arr.length-1){
                str += arr[i]+"}";
            }else{
                str += arr[i] +",";
            }
        }
        System.out.println(str);
    }


    /**
     * 判断元素是否在数组当中
     *
     */
    public static boolean isElementInArray(int[] arr, int ele){
        for (int i : arr) {
            if(ele == i){
                return true;
            }
        }
        return false;
    }

    /**
     * 判断数组是否为空
     * 如果数组为空或者是数组元素为0 都表示为空
     */
    public static boolean isEmpty(int[] arr){
        if(arr == null || arr.length == 0){
            return true;
        }
        return false;
    }
}
